org.apache.datasketches.partitions

## Class Partitioner.PartitionBoundsRow<T>

- java.lang.Object
- - org.apache.datasketches.partitions.Partitioner.PartitionBoundsRow<T>

Type Parameters:
  `T` - the item class type

Enclosing class:
  Partitioner<T,S extends QuantilesGenericAPI<T> & PartitioningFeature<T>>

    public static class Partitioner.PartitionBoundsRow<T>
    extends Object

Defines a row for List of PartitionBounds.

### Field Summary

Fields
`long` `approxNumDeltaItems` The approximate number of items represented by this partition description row.
`String` `levelPartId` A brief string description of the partition and its hierarchy
`T` `lowerBound` The lower bound value
`int` `part` The partition index
`BoundsRule` `rule` The BoundsRule for this partition description row.
`T` `upperBound` The upper bound value

### Constructor Summary

Constructors
Constructor and Description
`PartitionBoundsRow(Partitioner.StackElement<T> se)` The constructor for the StackElement class.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### part

    public int part

The partition index

#### levelPartId

    public String levelPartId

A brief string description of the partition and its hierarchy

#### approxNumDeltaItems

    public long approxNumDeltaItems

The approximate number of items represented by this partition description row.

#### rule

    public BoundsRule rule

The BoundsRule for this partition description row.

#### lowerBound

    public T lowerBound

The lower bound value

#### upperBound

    public T upperBound

The upper bound value

### Constructor Detail

#### PartitionBoundsRow

    public PartitionBoundsRow(Partitioner.StackElement<T> se)

The constructor for the StackElement class.

Parameters:
  `se` - the given stack element.